import Bladex
import Reference
import EnemyTypes
import Sparks
import Actions
import Auras
import pocimac
import Breakings
import ItemTypes
import darfuncs
import EnmGenRnd
import AuxFuncs
import OnOff
import LevelFuncs
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import Stars
import GenFX
import Interpolator
import ConcenEf
import OnInitTake
import Torchs
import AniSound
import pdb
import ExCombat
import ExTypes

from Tr import Tr

#pers.ActionAreaMin=pow( 2,0 ) # Primary Area
#pers.ActionAreaMax=pow( 2,1 ) # Secondary Area


### SPIDERS (unhide exit MyCell)
o=Bladex.CreateEntity("Spider1","Spidersmall",9766.07304498,-138.438839516,13635.735192, "Person")
o.Scale=1.0
o.Angle=4.64368815855
o.Level=0
o.Life=2.0
o.ActionAreaMin=pow( 2,0 ) # Primary Area
o.ActionAreaMax=pow( 2,1 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)
darfuncs.HideBadGuy("Spider1")
o.SetOnFloor()


o=Bladex.CreateEntity("Spider2","Spidersmall",4969.10250962,-138.438839516,13877.4578978, "Person")
o.Scale=1.0
o.Angle=1.89856946347
o.Level=0
o.Life=2.0
o.ActionAreaMin=pow( 2,0 ) # Primary Area
o.ActionAreaMax=pow( 2,1 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)
darfuncs.HideBadGuy("Spider2")
o.SetOnFloor()


o=Bladex.CreateEntity("Spider3","Spidersmall",7609.13515154,-138.438839516,13976.398793, "Person")
o.Scale=1.0
o.Angle=3.21949148986
o.Level=0
o.Life=2.0
o.ActionAreaMin=pow( 2,0 ) # Primary Area
o.ActionAreaMax=pow( 2,1 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)
darfuncs.HideBadGuy("Spider3")
o.SetOnFloor()


### MELTER GOBBO
o=Bladex.CreateEntity("Ork_229","Ork",42529.4813505,-984.911536466,-9761.85145203, "Person")
o.Scale=1.0
o.Angle=0.783693953629
o.Level=1
o.Life=15.0
o.ActionAreaMin=pow( 2,1 ) # Primary Area
o.ActionAreaMax=pow( 2,0 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)
o.Data.OldImDeadFunc=o.ImDeadFunc 
o.ImDeadFunc=EnemigoMuere

o=Bladex.CreateEntity ("ovenshovel", "Pala", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_229", "ovenshovel")
darfuncs.HideBadGuy("Ork_229")

### FORGE GOBBOS (unhide enter melting area)
o=Bladex.CreateEntity("OrcSmith","Ork",45663.5746323,-984.911859035,-17041.924826, "Person")
o.Scale=1.0
o.Angle=5.95630204177
o.Level=1
o.Life=15.0
o.ActionAreaMin=pow( 2,9 ) # Primary Area
o.ActionAreaMax=pow( 2,1 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("MartilloForja_287", "MartilloForja", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("OrcSmith", "MartilloForja_287")
darfuncs.HideBadGuy("OrcSmith")


o=Bladex.CreateEntity("BowOrc","Ork",29247.0870983,-984.911536549,-20414.761916, "Person")
o.Scale=1.0
o.Angle=5.42555858688
o.Level=1
o.Life=15.0
o.ActionAreaMin=pow( 2,9 ) # Primary Area
o.ActionAreaMax=pow( 2,1 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("BowOrcBow","Arco",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BowOrc", "BowOrcBow")

o=Bladex.CreateEntity ("BowOrcAmmo", "Carcaj", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BowOrc", "BowOrcAmmo")

#o=Bladex.GetEntity("BowOrc")
#o.Data.StdEnterLarge(o.Name)
darfuncs.HideBadGuy("BowOrc")

### JAILOR (not hidden)
jailor=Bladex.CreateEntity("Jailor","Ork",34928.091869,-984.911536653,6472.16696372, "Person")
jailor.Scale=1.0
jailor.Angle=1.34935263858
jailor.Level=0
jailor.Life=5.0
jailor.Blind=1 # DONT remove
jailor.Deaf=1  # DONT remove
EnemyTypes.EnemyDefaultFuncs(jailor)
#jailor.Data.Asleep=1


cellkey=Bladex.CreateEntity("Cellkey","Llavecutre",0,0,0,"Physic")
cellkey.Data=darfuncs.EmptyClass()
cellkey.Data.Used=10
cellkey.Scale=1.2 
darfuncs.SetHint(cellkey,Tr("Prison Key")) 
Actions.TakeObject("Jailor", "Cellkey")

o=Bladex.CreateEntity("Antorcha_1366","Antorcha",37753.7714664,-2186.60114049,4421.15972257, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
o.FiresIntensity=[ 0.0 ]
o.Lights = [(5.0, 0.09, (237, 180, 61))]
Torchs.SetUsable("Antorcha_1366",10,0.09,-1)
Actions.TakeObject("Jailor", "Antorcha_1366")

#### IN THE MINES ####

### Archers by the bridge ###
bridgesniper1=Bladex.CreateEntity("Sniper1","Ork",-30615.870677,9015.08846345,44029.011018, "Person")
bridgesniper1.Scale=1.0
bridgesniper1.Angle=1.34846818866
bridgesniper1.Level=1
bridgesniper1.Life=15.0
bridgesniper1.ActionAreaMin=pow( 2,7 ) # Primary Area
bridgesniper1.ActionAreaMax=pow( 2,8 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(bridgesniper1)

sniperbow1=Bladex.CreateEntity ("SniperBow1", "Arco", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(sniperbow1)
Actions.TakeObject("Sniper1", "SniperBow1")

sniperammo1=Bladex.CreateEntity ("SniperAmmo1", "Carcaj", 0,0,0)
ItemTypes.ItemDefaultFuncs(sniperammo1)
Actions.TakeObject("Sniper1", "SniperAmmo1")

sniperwep1=Bladex.CreateEntity ("SniperSword1", "Gladius", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(sniperwep1)
Actions.TakeObject("Sniper1", "SniperSword1")

#o=Bladex.GetEntity("Sniper1")
#o.Data.StdEnterLarge(o.Name)
darfuncs.HideBadGuy("Sniper1")


bridgesniper2=Bladex.CreateEntity("Sniper2","Ork",-22256.0922637,9015.08814099,49720.6401367, "Person")
bridgesniper2.Scale=1.0
bridgesniper2.Angle=6.27703850345
bridgesniper2.Level=1
bridgesniper2.Life=15.0
bridgesniper2.ActionAreaMin=pow( 2,7 ) # Primary Area
bridgesniper2.ActionAreaMax=pow( 2,8 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(bridgesniper2)

sniperbow2=Bladex.CreateEntity ("SniperBow2", "Arco", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(sniperbow2)
Actions.TakeObject("Sniper2", "SniperBow2")

sniperammo2=Bladex.CreateEntity ("SniperAmmo2", "Carcaj", 0,0,0)
ItemTypes.ItemDefaultFuncs(sniperammo2)
Actions.TakeObject("Sniper2", "SniperAmmo2")

sniperwep2=Bladex.CreateEntity ("SniperSword2", "Gladius", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(sniperwep2)
Actions.TakeObject("Sniper2", "SniperSword2")

#o=Bladex.GetEntity("Sniper2")
#o.Data.StdEnterLarge(o.Name)
darfuncs.HideBadGuy("Sniper2")


### ORC mining co. ###
o=Bladex.CreateEntity("BossOrc1","Great_Ork",-9607.16505591,2912.3347931,47703.4873045, "Person")
o.Scale=1.0
o.Angle=6.22487491429
o.Level=1
o.Life=100.0
o.ActionAreaMin=pow( 2,6 ) # Primary Area
o.ActionAreaMax=pow( 2,7 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)
o.Data.OldImDeadFunc=o.ImDeadFunc 
o.ImDeadFunc=Boss1Dead

o=Bladex.CreateEntity ("Gladius_1369", "Gladius", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BossOrc1", "Gladius_1369")

o=Bladex.CreateEntity ("Escudo5_1370", "Escudo5", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo5_1370")
Actions.TakeObject("BossOrc1", "Escudo5_1370")

elevatorkey=Bladex.CreateEntity("ElevatorKey","Llavecutre",0,0,0,"Physic")
elevatorkey.Data=darfuncs.EmptyClass()
elevatorkey.Data.Used=10
elevatorkey.Scale=1.2  
darfuncs.SetHint(elevatorkey,Tr("Emergency Key")) 
Actions.TakeObject("BossOrc1", "ElevatorKey")
darfuncs.HideBadGuy("BossOrc1")


o=Bladex.CreateEntity("MineOrc1","Ork",48508.954118,14015.0884635,28344.3615607, "Person")
o.Scale=1.0
o.Angle=3.05296930844
o.Level=1
o.Life=15.0
o.ActionAreaMin=pow( 2,2 ) # Primary Area
o.ActionAreaMax=pow( 2,3 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("MineOrcWep1","Pala",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("MineOrc1", "MineOrcWep1")

darfuncs.HideBadGuy("MineOrc1")


o=Bladex.CreateEntity("MineOrc2","Ork",46508.954118,14015.0884635,25344.3615608, "Person")
o.Scale=1.0
o.Angle=5.31466624514
o.Level=1
o.Life=15.0
o.ActionAreaMin=pow( 2,2 ) # Primary Area
o.ActionAreaMax=pow( 2,3 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("MineOrcWep2","Pala",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("MineOrc2", "MineOrcWep2")

darfuncs.HideBadGuy("MineOrc2")


o=Bladex.CreateEntity("MineOrc3","Ork",13323.6030115,3015.08846345,44382.019436, "Person")
o.Scale=1.0
o.Angle=6.27547856354
o.Level=1
o.Life=15.0
o.ActionAreaMin=pow( 2,3 ) # Primary Area
o.ActionAreaMax=pow( 2,2 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("MineOrcWep3","Pala",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("MineOrc3", "MineOrcWep3")

darfuncs.HideBadGuy("MineOrc3")


o=Bladex.CreateEntity("MineOrc4","Ork",11348.1903326,3015.08846337,31567.4978721, "Person")
o.Scale=1.0
o.Angle=3.38099959608
o.Level=1
o.Life=15.0
o.ActionAreaMin=pow( 2,3 ) # Primary Area
o.ActionAreaMax=pow( 2,2 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("MineOrcWep4","Pala",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("MineOrc4", "MineOrcWep4")

darfuncs.HideBadGuy("MineOrc4")


o=Bladex.CreateEntity("BossOrc2","Great_Ork",36084.4728128,13912.3347978,63440.1209945, "Person")
o.Scale=1.0
o.Angle=0.60803267954
o.Level=1
o.Life=100.0
o.ActionAreaMin=pow( 2,4 ) # Primary Area
o.ActionAreaMax=pow( 2,5 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)
o.Data.OldImDeadFunc=o.ImDeadFunc 
o.ImDeadFunc=Boss2Dead

o=Bladex.CreateEntity ("Garrote_1476", "Garrote", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BossOrc2", "Garrote_1476")

o=Bladex.CreateEntity ("Escudo5_1477", "Escudo5", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo5_1477")
Actions.TakeObject("BossOrc2", "Escudo5_1477")

o=Bladex.CreateEntity ("Pocima25_1478", "Pocima25", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima25_1478")
Actions.TakeObject("BossOrc2", "Pocima25_1478")
darfuncs.HideBadGuy("BossOrc2")






#### KITCHEN ####
# CHEF GOBBOS (unhidden on enter forge)
o=Bladex.CreateEntity("ChefOrc","Ork",14330.5549431,-6484.91153655,12073.8588164, "Person")
o.Scale=1.0
o.Angle=4.06523671336
o.Level=1
o.Life=15.0
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("ChefAxe","Hachacarnicero",0,0,0, "Weapon")
o.Scale=0.4
ItemTypes.ItemDefaultFuncs(o)
darfuncs.SetHint(o, Tr("Meat Cleaver"))
Actions.TakeObject("ChefOrc", "ChefAxe")

darfuncs.HideBadGuy("ChefOrc")


o=Bladex.CreateEntity("Chef2","Ork",19238.8522663,-6484.91185901,14379.5188967, "Person")
o.Scale=1.0
o.Angle=1.08494789607
o.Level=1
o.Life=15.0
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("Cazo_1600","Cazo",0,0,0, "Weapon")
o.Scale=1.8
o.Orientation=(0.810981631279,0.155173420906,0.167013525963,0.538828849792)
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Chef2", "Cazo_1600")

darfuncs.HideBadGuy("Chef2")






### AFTER SPECIAL GATE (harder) ###
# (unhidden lever restore)
o=Bladex.CreateEntity("SablazoOrc","Great_Ork",39423.6866749,-6587.66520253,5369.26253538, "Person")
o.Scale=1.0
o.Angle=0.479624567346
o.Level=2
o.Life=200.0
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("Sablazo_1489", "Sablazo", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("SablazoOrc", "Sablazo_1489")

o=Bladex.CreateEntity ("Escudo2_1492", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo2_1492")
Actions.TakeObject("SablazoOrc", "Escudo2_1492")

darfuncs.HideBadGuy("SablazoOrc")

# GREAT HALL
o=Bladex.CreateEntity("Ork_1500","Ork",35647.4719634,-20984.9115365,69755.0972331, "Person")
o.Scale=1.0
o.Angle=2.67260257524
o.Level=3
o.Life=40.0
o.SetMesh("Dark_Ork")
o.ActionAreaMin=pow( 2,13 ) # Primary Area
o.ActionAreaMax=pow( 2,14 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("Orksword_1501", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_1500", "Orksword_1501")

o=Bladex.CreateEntity ("Escudo2_1502", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo2_1502")
Actions.TakeObject("Ork_1500", "Escudo2_1502")

darfuncs.HideBadGuy("Ork_1500")


o=Bladex.CreateEntity("Ork_1503","Ork",30901.7625399,-20984.9115365,68124.8048555, "Person")
o.Scale=1.0
o.Angle=2.67260257524
o.Level=3
o.Life=40.0
o.SetMesh("Dark_Ork")
o.ActionAreaMin=pow( 2,13 ) # Primary Area
o.ActionAreaMax=pow( 2,14 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("Orksword_1504", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_1503", "Orksword_1504")

o=Bladex.CreateEntity ("Escudo2_1505", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo2_1505")
Actions.TakeObject("Ork_1503", "Escudo2_1505")

darfuncs.HideBadGuy("Ork_1503")


o=Bladex.CreateEntity("Great_Ork_1506","Great_Ork",29719.5235554, -20885.6753464, 74434.7623598, "Person")
o.Scale=1.0
o.Angle=1.66658803149
o.Level=1
o.Life=100.0
o.ActionAreaMin=pow( 2,13 ) # Primary Area
o.ActionAreaMax=pow( 2,13 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("Orksword_1507", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_1506", "Orksword_1507")

o=Bladex.CreateEntity ("Escudo2_1508", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo2_1508")
Actions.TakeObject("Great_Ork_1506", "Escudo2_1508")

o=Bladex.CreateEntity ("Pocima25_1509", "Pocima25", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima25_1509")
Actions.TakeObject("Great_Ork_1506", "Pocima25_1509")

darfuncs.HideBadGuy("Great_Ork_1506")


### BAR/ORCS (unhide enter dragonslayer tomb)
baro1=Bladex.CreateEntity("BARORC1","Barbarian_N",30640.0067409,-21172.4255733,71294.6378844, "Person")
baro1.Scale=1.0
baro1.Angle=3.61796118136
baro1.Level=2
ExTypes.GladiatorDefaultFuncs (baro1)
#baro1.Data=ExtraTypes.Super_Barb(baro1)
baro1.SetMesh('Great_Ork')
baro1.SetOnFloor()

o=Bladex.CreateEntity ("Barowep1", "DeathSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BARORC1", "Barowep1")

darfuncs.HideBadGuy("BARORC1")


baro2=Bladex.CreateEntity("BARORC2","Great_Ork",31287.7992239,-21165.041716,60985.7066267, "Person")
baro2.Scale=1.0
baro2.Angle=5.71235610654
baro2.Level=2
baro2.SetMesh('Great_Ork')
baro2.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(baro2)
baro2.ActionAreaMin=pow( 2,13 ) # Primary Area
baro2.ActionAreaMax=pow( 2,13 ) # Secondary Area

o=Bladex.CreateEntity ("Barowep2", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BARORC2", "Barowep2")

o=Bladex.CreateEntity ("Escudo2_BAR", "Escudo2", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo2_BAR")
Actions.TakeObject("BARORC2", "Escudo2_BAR")

darfuncs.HideBadGuy("BARORC2")

### BLACKORCS
o=Bladex.CreateEntity("BlackOrc1","Ork",38297.8751726,-6484.91153655,17078.4456102, "Person")
o.Scale=1.0
o.Angle=4.72356118878
o.Level=3
o.Life=40.0
o.SetMesh("Dark_Ork")
o.ActionAreaMin=pow( 2,10 ) # Primary Area
o.ActionAreaMax=pow( 2,11 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("BlackSword1", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackOrc1", "BlackSword1")

o=Bladex.CreateEntity("BlackBow1","Arco3",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackOrc1", "BlackBow1")

o=Bladex.CreateEntity ("BlackAmmo1", "CarcajEnvenenado", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackOrc1", "BlackAmmo1")

#o=Bladex.GetEntity("BlackOrc1")
#o.Data.StdEnterLarge(o.Name)
darfuncs.HideBadGuy("BlackOrc1")


o=Bladex.CreateEntity("BlackOrc2","Ork",37303.5900565,-6484.91153655,14881.1365162, "Person")
o.Scale=1.0
o.Angle=4.72356118878
o.Level=3
o.Life=40.0
o.SetMesh("Dark_Ork")
o.ActionAreaMin=pow( 2,10 ) # Primary Area
o.ActionAreaMax=pow( 2,11 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("BlackSword2", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackOrc2", "BlackSword2")

o=Bladex.CreateEntity("BlackBow2","Arco3",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackOrc2", "BlackBow2")

o=Bladex.CreateEntity ("BlackAmmo2", "CarcajEnvenenado", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackOrc2", "BlackAmmo2")

#o=Bladex.GetEntity("BlackOrc2")
#o.Data.StdEnterLarge(o.Name)
darfuncs.HideBadGuy("BlackOrc2")

### OUTSIDE ###

o=Bladex.CreateEntity("ShamanClub","Varita7",0,0,0,"Weapon")

time=Bladex.GetTime()
TimeEffect=100000.0
AuraParams=(80, 1, 1, 0, 0, 0)
AuraGradient=(2, 0.8, 0.1, 0.1, 0.6, 0.0, 0.4, 0.0, 0.0, 0.0, 0.6)
aura=Auras.MakeAura("ShamanClub", TimeEffect, AuraParams, (), (), AuraGradient)
pb=Bladex.CreateEntity("ShamanClub"+"Particles", "Entity Particle System Dobj", 0.0, 0.0, 0.0)
pb.ObjectName="ShamanClub"
pb.ParticleType="GotasSangre"
pb.PPS=20
pb.YGravity=2000.0
pb.Friction=0.01
pb.Velocity=0.0, 0.0, 0.0
pb.RandomVelocity=0.0
pb.NormalVelocity=0.0
pb.Time2Live=24
pb.DeathTime=time+TimeEffect/2.0

o=Bladex.CreateEntity("VampShield_2006","VampShield",-42147.3410026,-7089.5870235,-18022.4930917, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("VampShield_2006")

o=Bladex.CreateEntity("ShamBow","Arco3",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

o=Bladex.CreateEntity ("ShamAmmo", "CarcajEnvenenado", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)

sham=Bladex.CreateEntity("Shaman","Ork",-46360.792462,-6484.91153655,-14555.2419844, "Person")
sham.Scale=1.0
sham.Angle=4.64874161095
sham.Level=4
sham.SetMesh('Gold_Ork')
sham.Blind=1
sham.Deaf=1
sham.ActionAreaMin=pow( 2,15 ) # Primary Area
sham.ActionAreaMax=pow( 2,16 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(sham)
Actions.TakeObject("Shaman","ShamanClub")
Actions.TakeObject("Shaman","VampShield_2006")
Actions.TakeObject("Shaman", "ShamAmmo")
Actions.TakeObject("Shaman", "ShamBow")
darfuncs.HideBadGuy("Shaman")


o=Bladex.CreateEntity("Skeleton1","Skeleton",-37699.6125608,-6487.45775718,-15509.7682273, "Person")
o.Scale=1.0
o.Angle=5.16204209384
o.Level=3
o.Life=80.0
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("RustySword1", "KingSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Skeleton1", "RustySword1")

o=Bladex.CreateEntity ("RustyShield1", "KingShield", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("RustyShield1")
Actions.TakeObject("Skeleton1", "RustyShield1")

darfuncs.HideBadGuy("Skeleton1")


o=Bladex.CreateEntity("Skeleton2","Skeleton",-38130.6993816,-6487.45773339,-13622.0310433, "Person")
o.Scale=1.0
o.Angle=4.74166634006
o.Level=3
o.Life=80.0
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("RustySword2", "KingSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Skeleton2", "RustySword2")

o=Bladex.CreateEntity ("RustyShield2", "KingShield", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("RustyShield2")
Actions.TakeObject("Skeleton2", "RustyShield2")

darfuncs.HideBadGuy("Skeleton2")

o=Bladex.CreateEntity("BlackArcher1","Ork",5439.41704921, -6387.05867561, -57944.19266, "Person")
o.Scale=1.0
o.Angle=0.660980864854
o.Level=3
o.SetMesh("Dark_Ork")
o.ActionAreaMin=pow( 2,17 ) # Primary Area
o.ActionAreaMax=pow( 2,18 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("BlackArch1Sword", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackArcher1", "BlackArch1Sword")

o=Bladex.CreateEntity("BlackArchBow1","Arco3",0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackArcher1", "BlackArchBow1")

o=Bladex.CreateEntity ("BlackArchAmmo1", "CarcajEnvenenado", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackArcher1", "BlackArchAmmo1")

#o=Bladex.GetEntity("BlackArcher1")
#o.Data.StdEnterLarge(o.Name)
darfuncs.HideBadGuy("BlackArcher1")


o=Bladex.CreateEntity("BigTroll","Troll_snow",-5329.87332183,-6483.682734,-11580.716785, "Person")
o.Scale=1.0
o.Angle=4.46784751234
o.Level=2
EnemyTypes.EnemyDefaultFuncs(o)
o.Life=1000.0
o.ActionAreaMin=pow( 2,12 ) # Primary Area
o.ActionAreaMax=pow( 2,11 ) # Secondary Area
o.Data.OldImDeadFunc=o.ImDeadFunc 
o.ImDeadFunc=TrollDeath
darfuncs.HideBadGuy("BigTroll")

o=Bladex.CreateEntity("BigTrollWep","Mazapiedra",0,0,0, "Weapon")
o.Scale=1.0
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BigTroll", "BigTrollWep")
darfuncs.SetHint(o, Tr("Stone Club"))
darfuncs.HideObject("BigTrollWep")

gobletkey=Bladex.CreateEntity("GobletKey","Llavepla",0,0,0,"Physic")
gobletkey.Data=darfuncs.EmptyClass()
gobletkey.Data.Used=10
gobletkey.Scale=1.0
darfuncs.SetHint(gobletkey,Tr("Mithril Key")) 
Actions.TakeObject("BigTroll", "GobletKey")
#darfuncs.HideObject("GobletKey")



o=Bladex.CreateEntity("TowerSkel","Skeleton",15614.7322025,-2024.6568251,-83340.6878638, "Person")
o.Scale=1.0
o.Angle=3.66775632207
o.Level=4
o.ActionAreaMin=pow( 2,19 ) # Primary Area
o.ActionAreaMax=pow( 2,18 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)
darfuncs.HideBadGuy("TowerSkel")

o=Bladex.CreateEntity("TowerWeap","Alabarda",17253.0026172,-1040.90721631,-81129.3375705, "Weapon")
o.Scale=1.0
o.Orientation=(0.0,0.865052461624,-0.029555613175,-0.500810086727)
Actions.TakeObject("TowerSkel", "TowerWeap")


o=Bladex.CreateEntity("Shaman2","Ork",22673.0382227,2015.08846345,-83907.2921407, "Person")
o.Scale=1.0
o.Angle=1.53489777554
o.Level=4
o.SetMesh('Gold_Ork')
o.ActionAreaMin=pow( 2,19 ) # Primary Area
o.ActionAreaMax=pow( 2,18 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("ShamanClub2","Varita7",0,0,0,"Weapon")

time=Bladex.GetTime()
TimeEffect=100000.0
AuraParams=(80, 1, 1, 0, 0, 0)
AuraGradient=(2, 0.8, 0.1, 0.1, 0.6, 0.0, 0.4, 0.0, 0.0, 0.0, 0.6)
aura=Auras.MakeAura("ShamanClub2", TimeEffect, AuraParams, (), (), AuraGradient)
pb=Bladex.CreateEntity("ShamanClub2"+"Particles", "Entity Particle System Dobj", 0.0, 0.0, 0.0)
pb.ObjectName="ShamanClub2"
pb.ParticleType="GotasSangre"
pb.PPS=20
pb.YGravity=2000.0
pb.Friction=0.01
pb.Velocity=0.0, 0.0, 0.0
pb.RandomVelocity=0.0
pb.NormalVelocity=0.0
pb.Time2Live=24
pb.DeathTime=time+TimeEffect/2.0

o=Bladex.CreateEntity("VampShield_2005","VampShield",19358.7169803,1411.95968924,-86763.8316272, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("VampShield_2005")

Actions.TakeObject("Shaman2", "VampShield_2005")
Actions.TakeObject("Shaman2", "ShamanClub2")

darfuncs.HideBadGuy("Shaman2")


o=Bladex.CreateEntity("Skeleton_1911","Skeleton",20750.6944813,13974.0804321,-84081.5543721, "Person")
o.Scale=1.0
o.Angle=2.83116602141
o.Level=9
#o.Life=80.0
o.ActionAreaMin=pow( 2,19 ) # Primary Area
o.ActionAreaMax=pow( 2,18 ) # Secondary Area
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("Skull_1936","Skull",17616.6323904,14899.4538456,-88842.8287028, "Weapon")
o.Scale=1.2
o.Orientation=(0.729985356331,0.555015802383,-0.370569944382,0.147501721978)
Actions.TakeObject("Skeleton_1911", "Skull_1936")

#o=Bladex.CreateEntity ("RustySword3", "KingSword", 0,0,0, "Weapon")
#ItemTypes.ItemDefaultFuncs(o)
#Actions.TakeObject("Skeleton_1911", "RustySword3")

#o=Bladex.CreateEntity ("RustyShield3", "KingShield", 0,0,0)
#ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("RustyShield3")
#Actions.TakeObject("Skeleton_1911", "RustyShield3")

darfuncs.HideBadGuy("Skeleton_1911")


o=Bladex.CreateEntity("BARORCT","Barbarian_N",19075.2796768,-7256.29578489,-64757.5147003, "Person")
o.Scale=1.0
o.Angle=0.797395762776
o.Level=3
o.Life=380.0
o.ActionAreaMin=pow( 2,17 ) # Primary Area
o.ActionAreaMax=pow( 2,18 ) # Secondary Area
#o.Data=ExtraTypes.Super_Barb(o)
ExTypes.GladiatorDefaultFuncs (o)
o.SetMesh('Great_Ork')
o.SetOnFloor()

o=Bladex.CreateEntity ("BarowepT", "Hacha2hojas", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BARORCT", "BarowepT")

darfuncs.HideBadGuy("BARORCT")