import Bladex
import Breakings                                                               
import Torchs
import AuxFuncs
import darfuncs
import pocimac
import Scorer
import B3DLib
import Actions
import Sounds

from Tr import Tr

### THE BOOK ###
#hintbook=Bladex.CreateEntity("Hintbook","Libroabierto",64147.7346726,-6930.0,19297.76406, Reference.ObjType("Libroabierto"))
#hintbook.Scale=1.2
#hintbook.Orientation=(0.5,0.866025388241,0.0,0.0)
#darfuncs.SetHint(hintbook,Tr("The Runic hammer Chronicles"))

#OnInitTake.AddOnInitTakeEvent("Hintbook", ReadBook)

hintbook=Bladex.CreateEntity("Hintbook","Libroabierto2",64147.7346726,-6930.0,19297.76406, Reference.ObjType("Libroabierto2"))
hintbook.Scale=1.2
hintbook.Orientation=(0.5,0.866025388241,0.0,0.0)

readit=Bladex.CreateEntity("BookPointer","GhostPointer",64147.7346726,-6930.0,19297.76406)
readit.Static = 0
readit.Scale = 0.1
readit.UseFunc = ReadBook
darfuncs.SetHint(readit,Tr("The Runic hammer Chronicles"))

### THE STATUE ###
soundesfuerzo1=Sounds.CreateEntitySound('..\\..\\Sounds\\herida-Dwf3.wav', 'SoundEsfuerzo1')
soundesfuerzo1.Volume=0.5
soundesfuerzo1.MinDistance=10000
soundesfuerzo1.MaxDistance=20000

soundesfuerzo2=Sounds.CreateEntitySound('..\\..\\Sounds\\herida-Dwf2.wav', 'SoundEsfuerzo2')
soundesfuerzo2.Volume=0.5
soundesfuerzo2.MinDistance=10000
soundesfuerzo2.MaxDistance=20000

soundesfuerzo3=Sounds.CreateEntitySound('..\\..\\Sounds\\esfuerzo-Dwf6.wav', 'SoundEsfuerzo3')
soundesfuerzo3.Volume=0.5
soundesfuerzo3.MinDistance=10000
soundesfuerzo3.MaxDistance=20000

pushit=Bladex.CreateEntity("StatuePointer","GhostPointer",3605.07594013,-6789.63532034,-14511.6662894)
pushit.Static = 0
pushit.Scale = 0.1
pushit.UseFunc = TryPush
darfuncs.SetHint(pushit,Tr("Statue"))

o=Bladex.CreateEntity("GobletstatueFallen","Monjecaliz",2508.41833598,-6224.88747798,-17608.3243371, Reference.ObjType("Monjecaliz"))
o.Static=1
o.Scale=3.4
o.Orientation=(0.407701730728,0.00238758069463,-0.903778851032,0.130220711231)
Sparks.SetStoneSparkling("GobletstatueFallen")
darfuncs.HideObject("GobletstatueFallen")


statue=Bladex.CreateEntity("Gobletstatue","Monjecaliz",3427.21132733,-7629.70686973,-14602.7944525, Reference.ObjType("Monjecaliz"))
statue.Orientation=(0.0,1.46570172888e-007,0.70710682869,-0.707106769085)
statue.Static=1
statue.Scale=3.4
Sparks.SetStoneSparkling("Gobletstatue")


# KINGS CHAMBER
kingstone=Bladex.CreateEntity("KingPointer","GhostPointer",31036.1353135,-7029.99518452,36798.2939357)
kingstone.Static = 0
kingstone.Scale = 0.1
kingstone.UseFunc = ReadKing
darfuncs.SetHint(kingstone,Tr("Wall Ornament"))

# GREAT HALL DOOR #
doorp=Bladex.CreateEntity("DoorPointer","GhostPointer",37798.9263252,-21814.3052062,108786.740698)
doorp.Static = 0
doorp.Scale = 0.1
doorp.UseFunc = WontWork
darfuncs.SetHint(doorp,Tr("Destroyed Lever"))

### THE TOMB OF THE DRAGONSLAYER ###
gravestone=Bladex.CreateEntity("GravePointer","GhostPointer",54097.8084856,-21918.754133,64466.1201156)
gravestone.Static = 0
gravestone.Scale = 0.1
gravestone.UseFunc = ReadTomb
darfuncs.SetHint(gravestone,Tr("Tomb of the Dragonslayer"))


### THE RUNIC HAMMER
brick=Bladex.CreateEntity("StonePointer","GhostPointer",35805.0195296, -6491.0526157, 45567.4950123)
brick.Static = 0
brick.Scale = 0.1
brick.UseFunc = PushStone
darfuncs.SetHint(brick,Tr("Loose Stone"))
