import Bladex
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import AuxFuncs
import darfuncs
import Stars
import Sparks




#######################
#### Doors 2 Forge ####
#######################

#########Sounds########
spuertar1d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-piedra-deslizando.wav ", " MaderaDesliz ") 
spuertar1d.MaxDistance=20000 
spuertar1d.MinDistance=1000 
spuertar1d.Volume=1.0 

spuertar1g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-piedra-golpe2.wav ", " MaderaGolpe ") 
spuertar1g.MaxDistance=20000 
spuertar1g.MinDistance=2000 
spuertar1g.Volume=1.0

##### The Doors #####
p1=Doors.CreateDoor("p1",(38375.9752358, -888.586973241, -14496.3302777),(1, 0, 0),250,1500,Doors.CLOSED)
p1.opentype=Doors.UNIF 
p1.o_med_vel=-700 
p1.o_med_displ=1250 
p1.closetype=Doors.AC 
p1.c_init_displ=1250 
p1.c_med_vel=8000
p1.SetWhileOpenSound(spuertar1d) 
p1.SetEndOpenSound(spuertar1g)
#p1.SetWhileCloseSound(spuertar1d) 
#p1.SetEndCloseSound(spuertar1g)
 

p2=Doors.CreateDoor("p2",(39646.5555348, -889.231304505, -14492.9718881),(-1, 0, 0),250,1500,Doors.CLOSED)
p2.opentype=Doors.UNIF 
p2.o_med_vel=-700 
p2.o_med_displ=1250 
p2.closetype=Doors.AC 
p2.c_init_displ=1250 
p2.c_med_vel=8000 
p2.SetWhileOpenSound(spuertar1d) 
p2.SetEndOpenSound(spuertar1g) 
#p2.SetWhileCloseSound(spuertar1d) 
#p2.SetEndCloseSound(spuertar1g)


##### The Door 2 Outside #####

outdoor=Doors.CreateDoor("outdoor",(-9833.86924685, -6390.94745682, -14517.1742119),(0, 1, 0),1000,6500,Doors.CLOSED)
outdoor.opentype=Doors.UNIF 
outdoor.o_med_vel=-700 
outdoor.o_med_displ=5500 
outdoor.closetype=Doors.AC 
outdoor.c_init_displ=5500
outdoor.c_med_vel=8000
outdoor.SetWhileOpenSound(spuertar1d) 
outdoor.SetEndOpenSound(spuertar1g)
outdoor.SetWhileCloseSound(spuertar1d) 
outdoor.SetEndCloseSound(spuertar1g)



########################
# Key & Lock 2 OutDoor #
########################

outlock=Locks.PlaceLock("OutLock","Cerradura",(-8991.13120764,-6889.64552271,-11570.7293937),(0.500000059605,0.500000059605,-0.499999970198,0.499999940395),1.8)
outlock.key="GobletKey"
darfuncs.SetHint(outlock.obj,Tr("Mithril Lock"))
outlock.OnUnLockFunc=Abreoutdoor 
outlock.OnUnLockArgs=() 
outlock.OnLockFunc=Cierraoutdoor 
outlock.OnLockArgs=() 

#### FOR SHOW (real on Troll later) ###
fakekey=Bladex.CreateEntity("GobletKeyFake","Llavepla",3460.92468525,-8792.92564909,-14149.789925,"Physic")
fakekey.Scale=1.0
fakekey.Orientation=0.245339944959,0.0313107967377,0.964489877224,-0.0926672741771 
darfuncs.SetHint(gobletkey,Tr("Mithril Key"))


