import Bladex
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import AuxFuncs
import darfuncs
import Stars
import Sparks
import Ontake

from Tr import Tr

### Cell 2
cell2=Bladex.CreateEntity("Cell2","Rastrillo10",-38.6404376925,-1637.90039,8264.42849784,"Physic")
cell2.Scale=0.8
cell2.Orientation=0.707106769085,0.707106769085,0.0,0.0
cell2=Sparks.SetMetalSparkling("Cell2")
cell2.Frozen=1
cell2din=Objects.CreateDinamicObject("Cell2")
### Sounds
deslizcell2=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizCell2")
deslizcell2.Volume=0.8
deslizcell2.MinDistance=5000
deslizcell2.MaxDistance=20000
golpecell2=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeCell2")
golpecell2.Volume=0.8
golpecell2.MinDistance=5000
golpecell2.MaxDistance=20000
### Lock
lock2=Locks.PlaceLock("Lock2","Cerraduracutre",(-1281.67364304,-1390.49218552,7998.29704568),(0.500000059605,0.500000059605,0.499999910593,-0.499999970198),2.0)
lock2.key="Cellkey"
darfuncs.SetHint(lock2.obj,Tr("Prison Lock"))
lock2.OnUnLockFunc=AbreCell2 
lock2.OnUnLockArgs=() 
lock2.OnLockFunc=CierraCell2 
lock2.OnLockArgs=() 

### Cell 3
cell3=Bladex.CreateEntity("Cell3","Rastrillo10",7961.35956231,-1637.90039,8264.42849784,"Physic")
cell3.Scale=0.8
cell3.Orientation=0.707106769085,0.707106769085,0.0,0.0
cell3=Sparks.SetMetalSparkling("Cell3")
cell3.Frozen=1
cell3din=Objects.CreateDinamicObject("Cell3")
### Sounds
deslizcell3=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizCell3")
deslizcell3.Volume=0.8
deslizcell3.MinDistance=5000
deslizcell3.MaxDistance=20000
golpecell3=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeCell3")
golpecell3.Volume=0.8
golpecell3.MinDistance=5000
golpecell3.MaxDistance=20000
### Lock
lock3=Locks.PlaceLock("Lock3","Cerraduracutre",(6718.32635696,-1390.49218552,7998.29704568),(0.500000059605,0.500000059605,0.499999910593,-0.499999970198),2.0)
lock3.key="Cellkey"
darfuncs.SetHint(lock3.obj,Tr("Prison Lock"))
lock3.OnUnLockFunc=AbreCell3 
lock3.OnUnLockArgs=() 
lock3.OnLockFunc=CierraCell3 
lock3.OnLockArgs=() 

### Cell 4
cell4=Bladex.CreateEntity("Cell4","Rastrillo10",15961.3595623,-1637.90039,8264.42849784,"Physic")
cell4.Scale=0.8
cell4.Orientation=0.707106769085,0.707106769085,0.0,0.0
cell4=Sparks.SetMetalSparkling("Cell4")
cell4.Frozen=1
cell4din=Objects.CreateDinamicObject("Cell4")
### Sounds
deslizcell4=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizCell4")
deslizcell4.Volume=0.8
deslizcell4.MinDistance=5000
deslizcell4.MaxDistance=20000
golpecell4=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeCell4")
golpecell4.Volume=0.8
golpecell4.MinDistance=5000
golpecell4.MaxDistance=20000
### Lock
lock4=Locks.PlaceLock("Lock4","Cerraduracutre",(14718.326357,-1390.49218552,7998.29704568),(0.500000059605,0.500000059605,0.499999910593,-0.499999970198),2.0)
lock4.key="Cellkey"
darfuncs.SetHint(lock4.obj,Tr("Prison Lock"))
lock4.OnUnLockFunc=AbreCell4 
lock4.OnUnLockArgs=() 
lock4.OnLockFunc=CierraCell4 
lock4.OnLockArgs=() 

### Cell 5
cell5=Bladex.CreateEntity("Cell5","Rastrillo10",23961.3595623,-1637.90039,8264.42849784,"Physic")
cell5.Scale=0.8
cell5.Orientation=0.707106769085,0.707106769085,0.0,0.0
cell5=Sparks.SetMetalSparkling("Cell5")
cell5.Frozen=1
cell5din=Objects.CreateDinamicObject("Cell5")
### Sounds
deslizcell5=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizCell5")
deslizcell5.Volume=0.8
deslizcell5.MinDistance=5000
deslizcell5.MaxDistance=20000
golpecell5=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeCell5")
golpecell5.Volume=0.8
golpecell5.MinDistance=5000
golpecell5.MaxDistance=20000
### Lock
lock5=Locks.PlaceLock("Lock5","Cerraduracutre",(22718.326357,-1390.49218552,7998.29704568),(0.500000059605,0.500000059605,0.499999910593,-0.499999970198),2.0)
lock5.key="Cellkey"
darfuncs.SetHint(lock5.obj,Tr("Prison Lock"))
lock5.OnUnLockFunc=AbreCell5 
lock5.OnUnLockArgs=() 
lock5.OnLockFunc=CierraCell5 
lock5.OnLockArgs=()  

### Cell 6
cell6=Bladex.CreateEntity("Cell6","Rastrillo10",31161.3595623,-1637.90039,4664.42849784,"Physic")
cell6.Scale=0.8
cell6.Orientation=0.707106769085,0.707106769085,0.0,0.0
cell6=Sparks.SetMetalSparkling("Cell6")
cell6.Frozen=1
cell6din=Objects.CreateDinamicObject("Cell6")
### Sounds
deslizcell6=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizCell6")
deslizcell6.Volume=0.8
deslizcell6.MinDistance=5000
deslizcell6.MaxDistance=20000
golpecell6=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeCell6")
golpecell6.Volume=0.8
golpecell6.MinDistance=5000
golpecell6.MaxDistance=20000
### Lock
lock6=Locks.PlaceLock("Lock6","Cerraduracutre",(32318.326357,-1390.49218552,5000.0),(0.499999850988,0.499999970198,-0.500000059605,0.500000119209),2.0)
lock6.key="Cellkey"
darfuncs.SetHint(lock6.obj,Tr("Prison Lock"))
lock6.OnUnLockFunc=AbreCell6 
lock6.OnUnLockArgs=() 
lock6.OnLockFunc=CierraCell6 
lock6.OnLockArgs=() 

### Cell 7
cell7=Bladex.CreateEntity("Cell7","Rastrillo10",23161.3595623,-1637.90039,4664.42849784,"Physic")
cell7.Scale=0.8
cell7.Orientation=0.707106769085,0.707106769085,0.0,0.0
cell7=Sparks.SetMetalSparkling("Cell7")
cell7.Frozen=1
cell7din=Objects.CreateDinamicObject("Cell7")
### Sounds
deslizcell7=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizCell7")
deslizcell7.Volume=0.8
deslizcell7.MinDistance=5000
deslizcell7.MaxDistance=20000
golpecell7=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeCell7")
golpecell7.Volume=0.8
golpecell7.MinDistance=5000
golpecell7.MaxDistance=20000
### Lock
lock7=Locks.PlaceLock("Lock7","Cerraduracutre",(24318.326357,-1390.49218552,5000.0),(0.499999850988,0.499999970198,-0.500000059605,0.500000119209),2.0)
lock7.key="Cellkey"
darfuncs.SetHint(lock7.obj,Tr("Prison Lock"))
lock7.OnUnLockFunc=AbreCell7 
lock7.OnUnLockArgs=() 
lock7.OnLockFunc=CierraCell7 
lock7.OnLockArgs=() 

### Cell 8
cell8=Bladex.CreateEntity("Cell8","Rastrillo10",15161.3595623,-1637.90039,4664.42849784,"Physic")
cell8.Scale=0.8
cell8.Orientation=0.707106769085,0.707106769085,0.0,0.0
cell8=Sparks.SetMetalSparkling("Cell8")
cell8.Frozen=1
cell8din=Objects.CreateDinamicObject("Cell8")
### Sounds
deslizcell8=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizCell8")
deslizcell8.Volume=0.8
deslizcell8.MinDistance=5000
deslizcell8.MaxDistance=20000
golpecell8=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeCell8")
golpecell8.Volume=0.8
golpecell8.MinDistance=5000
golpecell8.MaxDistance=20000
### Lock
lock8=Locks.PlaceLock("Lock8","Cerraduracutre",(16318.326357,-1390.49218552,5000.0),(0.499999850988,0.499999970198,-0.500000059605,0.500000119209),2.0)
lock8.key="Cellkey"
darfuncs.SetHint(lock8.obj,Tr("Prison Lock"))
lock8.OnUnLockFunc=AbreCell8 
lock8.OnUnLockArgs=() 
lock8.OnLockFunc=CierraCell8 
lock8.OnLockArgs=() 

### Cell 9
cell9=Bladex.CreateEntity("Cell9","Rastrillo10",7161.3595623,-1637.90039,4664.42849784,"Physic")
cell9.Scale=0.8
cell9.Orientation=0.707106769085,0.707106769085,0.0,0.0
cell9=Sparks.SetMetalSparkling("Cell9")
cell9.Frozen=1
cell9din=Objects.CreateDinamicObject("Cell9")
### Sounds
deslizcell9=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizCell9")
deslizcell9.Volume=0.8
deslizcell9.MinDistance=5000
deslizcell9.MaxDistance=20000
golpecell9=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeCell9")
golpecell9.Volume=0.8
golpecell9.MinDistance=5000
golpecell9.MaxDistance=20000
### Lock
lock9=Locks.PlaceLock("Lock9","Cerraduracutre",(8318.32635696,-1390.49218552,5000.0),(0.499999850988,0.499999970198,-0.500000059605,0.500000119209),2.0)
lock9.key="Cellkey"
darfuncs.SetHint(lock9.obj,Tr("Prison Lock"))
lock9.OnUnLockFunc=AbreCell9 
lock9.OnUnLockArgs=() 
lock9.OnLockFunc=CierraCell9 
lock9.OnLockArgs=() 

### My Cell
mycell=Bladex.CreateEntity("MyCell","Rastrillo10",-838.6404377,-1637.90039,4664.42849784, Reference.ObjType("Rastrillo10"))
mycell.Static=1
mycell.Scale=0.8
mycell.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
mycell=Sparks.SetMetalSparkling("MyCell")
mycell.Frozen=1
mycelldin=Objects.CreateDinamicObject("MyCell")
### Sounds
deslizmycell=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizMyCell")
deslizmycell.Volume=0.8
deslizmycell.MinDistance=5000
deslizmycell.MaxDistance=20000
golpemycell=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeMyCell")
golpemycell.Volume=0.8
golpemycell.MinDistance=5000
golpemycell.MaxDistance=20000
### Lock
mylock=Locks.PlaceLock("MyLock","Cerraduracutre",(318.32635696,-1390.49218552,5000.0),(0.499999850988,0.499999970198,-0.500000059605,0.500000119209),2.0)
mylock.key="Cellkey"
darfuncs.SetHint(mylock.obj,Tr("Prison Lock"))
mylock.OnUnLockFunc=CierraMyCell 
mylock.OnUnLockArgs=() 
mylock.OnLockFunc=AbreMyCell 
mylock.OnLockArgs=()


##### ELEVATOR #####
rasanexo=Bladex.CreateEntity("Rasanexo","Plataforma",39000.5056914,-188.01538827,18009.9739839,"Physic")
rasanexo.Scale=1.9


rasanexo.Orientation=(0.500000119209,0.499999791384,-0.499999970198,0.500000119209)
rasanexo=Sparks.SetMetalSparkling("Rasanexo")
rasanexo.Frozen=1


rasanexodin=Objects.CreateDinamicObject("Rasanexo")

### ELEVATOR SOUNDS
deslizrasanexo=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizRasanexo")
deslizrasanexo.Volume=0.8
deslizrasanexo.MinDistance=5000
deslizrasanexo.MaxDistance=20000

golperasanexo=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeRasanexo")
golperasanexo.Volume=0.8
golperasanexo.MinDistance=5000
golperasanexo.MaxDistance=20000

### ELEVATOR LEVER
palrasanexo=Levers.PlaceLever("PalRasanexo",Levers.LeverType2,(38731.0602524,-1392.60790051,18969.6731089),(0.707106769085,0.0,0.707106769085,0.0),1.0)

palrasanexo.mode=1

palrasanexo.OnTurnOnFunc=AbreRasanexo
palrasanexo.OnTurnOnArgs=()

palrasanexo.OnTurnOffFunc=PeekaBooMineGuys
palrasanexo.OnTurnOffArgs=()

### ELEVATOR LOCK
elevatorlock=Locks.PlaceLock("ElevatorLock","Cerraduracutre",(38651.1609651,13503.6075202,17007.4749849),(0.5,0.499999880791,-0.5,0.500000119209),2.0)
elevatorlock.key="ElevatorKey"
darfuncs.SetHint(elevatorlock.obj,Tr("Emergency Lock"))
elevatorlock.OnUnLockFunc=CierraRasanexo 
elevatorlock.OnUnLockArgs=() 
elevatorlock.OnLockFunc=CierraRasanexo 
elevatorlock.OnLockArgs=()


###### SPECIAL GATE ######
spgate=Bladex.CreateEntity("SpecialGate","Rastrillo102",28680.0,-7290.0,11358.0, Reference.ObjType("Rastrillo2"))
spgate.Static=1
spgate.Scale=0.8
spgate.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
spgate=Sparks.SetMetalSparkling("SpecialGate")
spgate.Frozen=1
spgatedin=Objects.CreateDinamicObject("SpecialGate")

### SOUNDS
deslizspgate=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizSpecialGate")
deslizspgate.Volume=0.8
deslizspgate.MinDistance=5000
deslizspgate.MaxDistance=20000

golpespgate=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeSpecialGate")
golpespgate.Volume=0.8
golpespgate.MinDistance=5000
golpespgate.MaxDistance=20000

### BOKEN LEVER (REAL)
lvr=Bladex.CreateEntity("BrokenLever","Palanca2",17596.8274086,18421.3382846,71295.3031002, Reference.ObjType("Palanca2"))
lvr.Scale=1.0
lvr.Orientation=(0.370098292828,0.630119800568,-0.549161434174,-0.405460178852)
darfuncs.SetHint(lvr,Tr("Lever Handle"))
Ontake.AddOnTakeEvent("BrokenLever", SayFound)

### BROKEN LEVER (TEST)
#lvr=Bladex.CreateEntity("BrokenLever","Palanca2",31009.8768912,-5570.04471988,7173.32583966, Reference.ObjType("Palanca2"))
#lvr.Data=darfuncs.EmptyClass()
#lvr.Data.Used=0
#lvr.Scale=1.0
#lvr.Orientation=(0.50016105175,0.476520270109,-0.483432114124,-0.537643671036)
#darfuncs.SetHint(lvr,"Lever Handle")
#Ontake.AddOnTakeEvent("BrokenLever", SayFound)

### BASE
base=Bladex.CreateEntity("BrokenBase","Zocalo2",29839.0661388,-6690.74381354,10950.0, Reference.ObjType("Zocalo2"))
base.Scale=1.0
base.Orientation=(0.707043409348,-0.00015287961287,0.707170128822,2.60994020209e-005)
darfuncs.SetHint(base,Tr("Broken Lever"))
base.UseFunc=FixIt

### DECO
deco=Bladex.CreateEntity("BaseDeco","Agarramanos",29839.0661388,-6690.74381354,10920.0, Reference.ObjType("Agarramanos"))
deco.Scale=0.8
deco.Orientation=(0.683012723923,0.683012723923,-0.18301269412,-0.18301269412)





### KINGS GATE ###

kingkey=Bladex.CreateEntity("KingKey","Reyaurelio",26367.9562476,-6945.69304543,29313.8683674,"Physic")
kingkey.Scale=0.2
kingkey.Orientation=0.497717916965,0.4944421947,-0.512889921665,0.49471989274 
darfuncs.SetHint(kingkey,Tr("King")) 


kinglock=Locks.PlaceLock("KingLock","CabezaSerpiente",(32416.1353135,-6829.99518452,36878.2939357),(0.707106769085,0.707106769085,0.0,0.0),0.2)
kinglock.key="KingKey"
darfuncs.SetHint(kinglock.obj,Tr("Dragon Shaped Recess"))
kinglock.OnUnLockFunc=OpenKingDoor 
kinglock.OnUnLockArgs=() 
kinglock.OnLockFunc=CloseKingDoor 
kinglock.OnLockArgs=() 


kingdoor=Bladex.CreateEntity("KingDoor","Lapidareina",31036.1353135,-7629.99518452,36618.2939357, Reference.ObjType("Lapidareina"))
kingdoor.Static=1
kingdoor.Scale=1.4
kingdoor.Orientation=(0.0,5.62506485835e-008,1.0,-7.45058059692e-009)
kingdoor=Sparks.SetStoneSparkling("KingDoor")
kingdoor.Frozen=1
kingdoordin=Objects.CreateDinamicObject("KingDoor")

kingsound1=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-piedra-deslizando-2.wav", "DeslizRuneGate1")
kingsound1.Volume=0.8
kingsound1.MinDistance=5000
kingsound1.MaxDistance=20000

kingsound2=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-piedra-golpe2.wav", "GolpeRuneGate1")
kingsound2.Volume=0.8
kingsound2.MinDistance=5000
kingsound2.MaxDistance=20000




##### RUNIC HAMMER GATES

### Gate 1
runegate1=Bladex.CreateEntity("RuneGate1","Rastrillo2",31307.548177,-6890.03076913,52294.184312, Reference.ObjType("Rastrillo2"))
runegate1.Static=1
runegate1.Scale=1.0
runegate1.Orientation=(0.5,0.500000059605,0.499999970198,0.499999970198)
runegate1=Sparks.SetMetalSparkling("RuneGate1")
runegate1.Frozen=1
runegate1din=Objects.CreateDinamicObject("RuneGate1")

### Sounds
deslizrunegate1=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizRuneGate1")
deslizrunegate1.Volume=0.8
deslizrunegate1.MinDistance=5000
deslizrunegate1.MaxDistance=20000

golperunegate1=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeRuneGate1")
golperunegate1.Volume=0.8
golperunegate1.MinDistance=5000
golperunegate1.MaxDistance=20000

### Gate 2
runegate2=Bladex.CreateEntity("RuneGate2","Rastrillo2",30707.548177,-6890.03076913,52694.184312, Reference.ObjType("Rastrillo2"))
runegate2.Static=1
runegate2.Scale=1.0
runegate2.Orientation=(0.5,0.500000059605,-0.499999970198,-0.499999970198)
runegate2=Sparks.SetMetalSparkling("RuneGate2")
runegate2.Frozen=1
runegate2din=Objects.CreateDinamicObject("RuneGate2")
### Sounds
deslizrunegate2=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizRuneGate2")
deslizrunegate2.Volume=0.8
deslizrunegate2.MinDistance=5000
deslizrunegate2.MaxDistance=20000

golperunegate2=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeRuneGate2")
golperunegate2.Volume=0.8
golperunegate2.MinDistance=5000
golperunegate2.MaxDistance=20000

