import Bladex
import Auras
import Select
import Change
import Actions
import FireCheck
import whrandom
import dust
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import AuxFuncs
import darfuncs
import Stars
import Sparks
import Reference
import EnemyTypes
import math

MESSAGE_START_WEAPON=7
MESSAGE_STOP_WEAPON=8

_SndFogonazo=Bladex.CreateSound("..\\..\\Sounds\\fireball-swing.wav","SndFogonazo")
_SndFogonazo.MaxDistance=15000.0
_SndFogonazo.MinDistance=10000.0
_SndFogonazoPos = 0,0,0

GARGULUS_FIRE_DAMAGE = 5000

##############################
# FIRETRAP (From Volcano_M14 #
##############################
##################################### tipo de fuego de gas #############

B_PARTICLE_GTYPE_ADD=2

Bladex.AddParticleGType("GargFlame","FireParticle",B_PARTICLE_GTYPE_ADD,21)
for i in range(21):
	if i>=14:
		aux=1.0/3.0+2*(21.0-i)/21.0 #va de 1/3 a 1
		caux=(21.0-i)/21.0 #va de 0 a 1/3
		saux=3.0*(21.0-i)/21.0 #va de 0 a 1
	elif i>7 and i<14:
		aux=1.0
		caux=1.0/3.0
		saux=1.0
	else:
		aux=1.0-((7.0-i)/7.0) #va de 1 a 0
		caux=1.0/3.0
		saux=1.0-2*((7.0-i)/7.0) #va de 1 a -1
	r=155.0*3.0*caux
	g=155.0*3.0*caux
	b=min(255*(1.0-2.0*caux), 255.0)
	a=200.0*aux
	size=300.0+200.0*saux
	Bladex.SetParticleGVal("GargFlame",i,r,g,b,a,size)


Bladex.AddParticleGType("Hoguera","FireParticle",B_PARTICLE_GTYPE_ADD,21)
for i in range(21):
	if i>=14:
		aux=1.0/3.0+2*(21.0-i)/21.0 #va de 1/3 a 1
		caux=(21.0-i)/21.0 #va de 0 a 1/3
		saux=3.0*(21.0-i)/21.0 #va de 0 a 1
	elif i>7 and i<14:
		aux=1.0
		caux=1.0/3.0
		saux=1.0
	else:
		aux=1.0-((7.0-i)/7.0) #va de 1 a 0
		caux=1.0/3.0
		saux=1.0-2*((7.0-i)/7.0) #va de 1 a -1
	r=235.0*3.0*caux
	g=105.0*3.0*caux
	b=0.0
	a=200.0*aux
	size=300.0+200.0*saux
	Bladex.SetParticleGVal("Hoguera",i,r,g,b,a,size)

##################################### firehit ###########################

killed=0

### Lever 1
runegatelever1=Levers.PlaceLever("RuneGateLever1",Levers.LeverType3,(26100.0,-6858.32877725,44559.1161607),(0.499999970198,0.499999970198,-0.5,0.500000059605),1.0)
runegatelever1.mode=1

runegatelever1.OnTurnOnFunc=gFireStart
runegatelever1.OnTurnOnArgs=()

runegatelever1.OnTurnOffFunc=gFireStop
runegatelever1.OnTurnOffArgs=()

## Weird code

PSCheckerA = FireCheck.createPSysChecker()
PSCheckerA.onHitFunc = gfireHit
gfperiod=4.0
gfstop=0

###################################
#     SPIKETRAP (From Orlok_M10)  #
###################################


pinchodeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\pincho-desliz.wav", "PinchoDeslizando")
pinchogolpeando=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "PinchoGolpeando")

pincholab=Bladex.CreateEntity("PinchoLab", "PinchoManuel", 27088.6307606,-3491.01326587,46675.2356269, "Weapon")
pincholab.Scale=1.5
pincholab.Orientation=0.494263231754,-0.513004183769,-0.496976882219,0.495524525642
pincholab.Solid=0
pincholab.Frozen=1

pincholabdin=Objects.CreateDinamicObject("PinchoLab")

pincholabactivado=0

### Lever 2
runegatelever2=Levers.PlaceLever("RuneGateLever2",Levers.LeverType3,(26100.0,-6858.32877725,46759.1161607),(0.500000059605,0.499999970198,-0.499999910593,0.500000059605),1.0)
runegatelever2.mode=0

runegatelever2.OnTurnOnFunc=ActivaPinchoLab
runegatelever2.OnTurnOnArgs=()

runegatelever2.OnTurnOffFunc=DesactivaPinchoLab
runegatelever2.OnTurnOffArgs=()

##############
# STONE GUYS #
##############

o=Bladex.CreateEntity("StoneSleep1","EstatuaGolem",34059.0916417,-7067.61699147,51218.0893962, Reference.ObjType("EstatuaGolem"))
o.Scale=1.0
o.Static=1
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)


o=Bladex.CreateEntity("StoneSleep2","EstatuaGolem",27859.0916417,-7067.61699147,51218.0893962, Reference.ObjType("EstatuaGolem"))
o.Scale=1.0
o.Static=1
o.Orientation=(0.719842016697,0.694136679173,0.000934424868319,-0.000910010829102)


stoney1=Bladex.CreateEntity("StoneGuy1","Golem_stone",27897.8443261,-7094.68671967,51096.8742218, "Person")
stoney1.Scale=1.0
stoney1.Angle=3.29626857667
stoney1.Level=0
stoney1.Life=4000.0
EnemyTypes.EnemyDefaultFuncs(stoney1)
darfuncs.HideBadGuy("StoneGuy1")


stoney2=Bladex.CreateEntity("StoneGuy2","Golem_stone",34026.4593297,-7094.68672009,51215.1516764, "Person")
stoney2.Scale=1.0
stoney2.Angle=3.11245796711
stoney2.Level=0
stoney2.Life=4000.0
EnemyTypes.EnemyDefaultFuncs(stoney2)
darfuncs.HideBadGuy("StoneGuy2")

### Lever 3
runegatelever3=Levers.PlaceLever("RuneGateLever3",Levers.LeverType3,(26100.0,-6858.32877725,48759.1161607),(0.499999880791,0.500000059605,-0.500000059605,0.5),1.0)
runegatelever3.mode=0

runegatelever3.OnTurnOnFunc=unhidestoneys
runegatelever3.OnTurnOnArgs=()

#runegatelever3.OnTurnOffFunc=Nothing
#runegatelever3.OnTurnOffArgs=()